package com.sooka.system.mapper;

import java.util.List;

import com.sooka.common.annotation.DataSource;
import com.sooka.common.enums.DataSourceType;
import com.sooka.system.domain.TgjjHmdxx;

/**
 * 黑名单信息Mapper接口
 *
 * @author lei
 * @date 2021-11-16
 */
@DataSource(value = DataSourceType.SLAVE)
public interface TgjjHmdxxMapper
{
    /**
     * 查询黑名单信息
     *
     * @param ID 黑名单信息ID
     * @return 黑名单信息
     */
    public TgjjHmdxx selectTgjjHmdxxById(Long ID);

    /**
     * 查询黑名单信息列表
     *
     * @param tgjjHmdxx 黑名单信息
     * @return 黑名单信息集合
     */
    public List<TgjjHmdxx> selectTgjjHmdxxList(TgjjHmdxx tgjjHmdxx);

    /**
     * 新增黑名单信息
     *
     * @param tgjjHmdxx 黑名单信息
     * @return 结果
     */
    public int insertTgjjHmdxx(TgjjHmdxx tgjjHmdxx);

    /**
     * 修改黑名单信息
     *
     * @param tgjjHmdxx 黑名单信息
     * @return 结果
     */
    public int updateTgjjHmdxx(TgjjHmdxx tgjjHmdxx);

    /**
     * 删除黑名单信息
     *
     * @param ID 黑名单信息ID
     * @return 结果
     */
    public int deleteTgjjHmdxxById(Long ID);

    /**
     * 批量删除黑名单信息
     *
     * @param IDs 需要删除的数据ID
     * @return 结果
     */
    public int deleteTgjjHmdxxByIds(String[] IDs);
}
